easytag (2.4.3-9) unstable; urgency=medium

  * Team upload.
  * debian/patches/04_taglib-2-further-fix.patch: Further fix taglib 2.x
    compatibility again.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jan 2025 13:53:11 -0500

easytag (2.4.3-8) unstable; urgency=medium

  * Team upload.
  * debian/patches/04_taglib-2-further-fix.patch: Further fix taglib 2.x
    compatibility.

 -- Boyuan Yang <byang@debian.org>  Mon, 13 Jan 2025 11:57:26 -0500

easytag (2.4.3-7) unstable; urgency=medium

  * Team upload.
  * debian/patches/04_taglib-2-further-fix.patch: Further fix taglib 2.x
    compatibility on 32-bit architecture.

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jan 2025 14:49:33 -0500

easytag (2.4.3-6) unstable; urgency=medium

  * Team upload.
  * debian/patches/03_port-to-taglib-2.patch: Add patch to fix FTBFS
    with taglib 2.x. (Closes: #1092704)
  * debian/control: Build-dep on libtag-dev instead of libtag1-dev for
    taglib 2.x transition.

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jan 2025 12:56:27 -0500

easytag (2.4.3-5) unstable; urgency=medium

  * Team upload

  [ James Cowgill ]
  * Build-depend on appstream-util for metainfo directory

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Jesús Soto ]
  * Remove nautilus extension because it's not compatible with
    Nautilus 43 which has switched to GTK4

  [ Jeremy Bicha ]
  * Bump debhelper-compat to 13

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2022 17:55:00 -0400

easytag (2.4.3-4) unstable; urgency=medium

  * debian/control:
    - Revert OGG support removal in package description.
  * debian/patches:
    - Add patch to revert upstream commit which causes OGG corruption.
      (Closes: #886272)
  * debian/rules:
    - Re-enable OGG, OPUS and Speex support.

 -- James Cowgill <jcowgill@debian.org>  Sun, 25 Mar 2018 12:48:14 +0100

easytag (2.4.3-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/control: Set Vcs-* to salsa.debian.org.

  [ Jeremy Bicha ]
  * Move easytag-nautilus appstream metadata to easytag-nautilus.
    (Closes: #892385)
  * Use dh_missing --fail-missing.
  * Drop Pre-Depends from easytag-nautilus.

  [ Bruno Kleinert ]
  * Do not mention OGG support in package description. (Closes: #886369)

  [ James Cowgill ]
  * debian/changelog:
    - Remove trailing whitespace.
    - Remove emacs mode settings.

 -- James Cowgill <jcowgill@debian.org>  Thu, 08 Mar 2018 21:42:15 +0000

easytag (2.4.3-2) unstable; urgency=medium

  * debian/control:
    - Use debhelper compat 11.
    - Bump standards version.
  * debian/patches:
    - Add patch to remove use of gdk-pixbuf-pixdata.
      Thanks to Helmut Grohne. (Closes: #886137)
  * debian/rules:
    - Remove --disable-silent-rules which is used by default.
    - Disable OGG, OPUS and Speex. (Closes: #855251)

 -- James Cowgill <jcowgill@debian.org>  Wed, 03 Jan 2018 16:39:00 +0000

easytag (2.4.3-1) unstable; urgency=medium

  * New upstream release.

  * debian/source/local-options:
    - Remove.
  * debian/watch:
    - Download from download.gnome.org.

 -- James Cowgill <jcowgill@debian.org>  Mon, 05 Dec 2016 23:46:24 +0000

easytag (2.4.2-2) unstable; urgency=medium

  * Fix FTBFS with nautilus (>= 3.21.92-2).
    - Bump libnautilus-extension-dev build-depends version to obtain a tighter
      runtime dependency.

  * debian/control:
    - Use my debian.org email address.
    - Remove Maia Kozheva from the list of uploaders. (Closes: #829311)
    - Bump standards to 3.9.8.
  * debian/copyright:
    - Fix spelling error.

 -- James Cowgill <jcowgill@debian.org>  Thu, 22 Sep 2016 16:47:22 +0100

easytag (2.4.2-1) unstable; urgency=medium

  * New upstream release.

  * debian/control:
    - Use secure Vcs-Browser URL.

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 22 Feb 2016 00:22:41 +0000

easytag (2.4.1-1) unstable; urgency=medium

  * New upstream release.

  * debian/control:
    - Update build dependencies to prevent broken binaries being built on
      sparc64 which has an ancient version of nautilus.
    - Use secure Vcs-Git URL.
  * debian/patches:
    - Drop all patches, applied upstream.

 -- James Cowgill <james410@cowgill.org.uk>  Tue, 26 Jan 2016 00:02:43 +0000

easytag (2.4.0-3) unstable; urgency=medium

  * Add bugfix patches applied upstream.
    - Fix crash when writing playlists. (Closes: #798304)
    - Handle FLAC files with an invalid sample rate.
    - Synchronize ETFileList pointer. Fixes missing files in generated
      playlists. (Closes: #798719)
    - Fix selection of CDDB fields to fill.
  * Remove menu file per tech-ctte decision. (See #741573)

 -- James Cowgill <james410@cowgill.org.uk>  Tue, 22 Dec 2015 22:47:45 +0000

easytag (2.4.0-2) unstable; urgency=medium

  * Add patch to fix crash when saving OPUS files. (Closes: #798234)

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 07 Sep 2015 16:19:22 +0100

easytag (2.4.0-1) unstable; urgency=medium

  [ David King ]
  * New upstream release.

  [ IOhannes m zmölnig ]
  * Provide (low) priorities for registered mimetypes. (Closes: #788325)
    - Add script to automatically update the .mime file.

  [ James Cowgill ]
  * Update a few dates in debian/copyright.

 -- James Cowgill <james410@cowgill.org.uk>  Fri, 04 Sep 2015 14:01:45 +0100

easytag (2.3.7-1) experimental; urgency=medium

  [ James Cowgill ]
  * New upstream unstable release.
  * Handle directory to symlink conversion in easytag-nautilus.
  * debian/control:
    - Change appdata-tools b-dep to appstream-util.
    - Use cgit Vcs-Browser URL.
    - Drop versions from build dependencies already in squeeze.
  * debian/rules:
    - Disable -Werror to fix build with GCC 4.9.

  [ David King ]
  * debian/copyright:
    - Update for libapetag and id3lib license change to GPL-2+.
  * debian/patches:
    - Remove ID3 patch, which was applied upstream.
  * debian/rules:
    - Symlink docs to those found in the main package.

 -- James Cowgill <james410@cowgill.org.uk>  Tue, 19 May 2015 17:33:52 +0100

easytag (2.3.1-1) experimental; urgency=low

  [ David King ]
  * New upstream unstable release.
  * debian/easytag-nautilus.install:
    - Add new easytag-nautilus subpackage.
  * debian/copyright:
    - Update for Nautilus extension.
  * debian/rules:
    - Enable parallel build.
    - Update for Nautilus extension.

  [ James Cowgill ]
  * debian/control:
    - Fix malformed version number in debian/control.
    - Add relationships between the two packages.
  * debian/copyright:
    - Add copyright information for id3tag files.
    - Update libapetag copyright information.
  * debian/patches:
    - Add patch from upstream fixing crash when reading invalid id3 tags.
  * debian/rules:
    - Enable --as-needed in the nautilus extension.

 -- James Cowgill <james410@cowgill.org.uk>  Thu, 20 Nov 2014 10:36:05 +0000

easytag (2.2.4-1) unstable; urgency=low

  * Team upload.

  [ David King ]
  * New upstream release.
  * debian/docs:
    - Add HACKING and TODO.
  * debian/easytag.xpm:
  * debian/menu:
    - Update from upstream desktop file icon and name.

  [ Alessio Treglia ]
  * Add missing licensing information on src/libapetag/*.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 12 Oct 2014 17:58:42 +0100

easytag (2.2.2-1) unstable; urgency=low

  [ David King ]
  * New upstream release.
  * debian/control:
    - Improve package description (Closes: #525565)
    - Add myself to uploaders
    - Build-Depend on libgtk-3-dev
    - Build-Depend on libopusfile-dev
    - Build-Depend on libtag1-dev
    - Enable verbose build rules
    - Add Build-Depends on docbook-xsl for man page
  * debian/patches:
    - Drop remove-appdata.patch, depend on appdata-tools

  [ James Cowgill ]
  * Build-Depend on docbook-xml.

 -- David King <amigadave@amigadave.com>  Fri, 09 May 2014 18:37:42 +0100

easytag (2.1.10-1) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * New upstream release (Closes: #560813, #500051, #518955, #727811).
  * Add myself to the list of uploaders.
  * Use debhelper v9.
  * debian/control:
    - Build depend on desktop-file-utils and yelp-tools.
    - Recommend on gnome-icon-theme, gvfs and yelp (thanks David King)
    - Update homepage location.
    - Bump standards to 3.9.5 (no changes required).
  * debian/copyright:
    - Rewritten to use DEP-5
  * debian/rules:
    - Enable all hardening flags.
    - Remove unnecessary dh overrides.
  * debian/patches:
    - Remove 1001-c90_style.patch, applied upstream.
    - Add patch to remove appdata from buildsystem.
      Can't use until appdata-tools is introduced into Debian.

  [ Alessio Treglia ]
  * Improve package description (Closes: #691687)

 -- James Cowgill <james410@cowgill.org.uk>  Fri, 28 Feb 2014 15:50:09 +0000

easytag (2.1.8-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #701114):
    - Port to and require the most recent GTK+ 2 release (2.24)
    - Allow experimental compilation against GTK+ 3
    - Many memory leaks fixed
    - Remove the upstream Debian and RPM packaging
    - Do not install the ChangeLog
    - FLAC, configure, sign comparison warning and GBase64 fixes
    - New icons
    - Small fixes to allow compilation under mingw
    - Fix overlaid text in scanner legend
    - SIGCHLD handling fix
    - Move configuration files to XDG firectories
    - Configuration file, remove all text, disc number column and
      compiler warning fixes
    - Switch to TagLib for MP4 tag editing and drop libmp4v2 support
    - Fix album artist entry focus chain order
    - Remove Changes tab in about dialog
    - Tidy and internationalize the desktop file
    - Fix many spelling errors and typos
    - Several translation updates
    - Rewrite build system
    - Use intltool for internationalization
    - Drop dependency on libtool
    - Fix segfault when pressing "Apply" in "Load filenames from
      TXT" dialog,
    - Fix predefined genres displayed under legacy systems.
    - Update Polish translation
    - .desktop cleanup
    - Add a new option to trim spaces when renaming files patch
    - Make easytag compile against newest version of libmp4v2
    - File save performance improvement
    - Fix out of bound array access
    - Add Lithuanian translation
  * Drop patches applied upstream:
    - desktop.patch
    - taglib.patch
    - fix_segfault_loading_tags_from_txt.patch.patch
    - fix-rm-out-of-bound.patch
  * Cherry-pick patch from upstream git to prevent FTBFS due to
    mixed declarations and code in WavPack support
  * Depend on intltool >= 0.50.0.
  * Use dh --with foo syntax in debian/rules.
  * Install NEWS and ChangeLog as upstream changelogs.
  * Fix watch file.
  * Update Homepage field, the project has moved to gnome.org.
  * Convert VCS fields to canonical form.
  * Remove obsolete DM-Upload-Allowed: yes field.
  * Bump Standards.
  * Set compression to xz.

 -- Alessio Treglia <alessio@debian.org>  Fri, 11 Oct 2013 17:07:47 +0100

easytag (2.1.7-2) unstable; urgency=low

  * Merge Ubuntu changes from version 2.1.7-1ubuntu2,
    by Julian Taylor <jtaylor@ubuntu.com>:
    + debian/rules:
      - Do not fail on removing nonexistent changelog file.
    + debian/patches/fix-out-of-bound.patch:
      - Fix crash on out of bounds array access. (Closes: #669290)
  * debian/control, debian/copyright:
    - Change upstream homepage back to resurrected SF site.
  * debian/watch:
    - Restore old debian/watch from before 2.1.6+git (development migrated
      back to sourceforge from github).

 -- Maia Kozheva <sikon@ubuntu.com>  Thu, 10 May 2012 21:26:53 +0700

easytag (2.1.7-1) unstable; urgency=low

  * New upstream release.
  * Add fix_segfault_loading_tags_from_txt.patch:
    - From upstream git, fixes crashes when applying tags loaded from TXT file.
      (Closes: #646978)
  * debian/control:
    - Update Standards-Version to 3.9.3.
  * debian/rules:
    - Remove get-orig-source, now using an unmodified upstream tarball.

 -- Maia Kozheva <sikon@ubuntu.com>  Mon, 09 Apr 2012 11:37:09 +0700

easytag (2.1.6+git20110423-3) unstable; urgency=low

  * Merge Reinhard Tartler's cosmetic changes from -1.

 -- Maia Kozheva <sikon@ubuntu.com>  Thu, 09 Jun 2011 00:36:56 +0700

easytag (2.1.6+git20110423-2) unstable; urgency=low

  * Port MP4 support to taglib (reduced functionality compared to libmp4v2,
    but half a loaf is better than no bread).
    - MP4 tag editing now available. (Closes: #336465)

 -- Maia Kozheva <sikon@ubuntu.com>  Wed, 08 Jun 2011 23:56:44 +0700

easytag (2.1.6+git20110423-1) unstable; urgency=low

  * New maintainers. (Taking over from Sebastian Bacher per his agreement.)
  * New upstream snapshot.
  * Switch to the 3.0 (quilt) format.
  * debian/copyright:
    - New upstream address.
  * debian/control:
    - Update maintainer field.
    - Bump Standards-Version to 3.9.2.
    - Do not depend on cdbs, use debhelper version with override support.
    - Use dh-autoreconf to generate automake files.
    - Add Vcs-* fields.
    - Fix misspelling in package description.
    - Set DM-Upload-Allowed.
  * debian/rules:
    - Rewrite using debhelper 7.
    - Link with -Wl,--as-needed.
    - Add get-orig-source rule to export git snapshots.
  * debian/patches:
    - Remove 01-autoload.patch, merged upstream.
    - Remove 02-autoreconf.patch, using dh_autoreconf now.
    - Remove manpage-has-bad-whatis-entry.patch, merged upstream.
    - Add desktop.patch: desktop file fixes. (Closes: #620141, #360390)
  * Update debian/watch.

 -- Maia Kozheva <sikon@ubuntu.com>  Mon, 02 May 2011 20:04:35 +0700

easytag (2.1.6-1) unstable; urgency=low

  * Upload to unstable
  * Close nmu bug (Closes: #460247, #498294)

  [ Benjamin Drung ]
  * Non-maintainer upload.
  * New upstream release (Closes: #490979).
  * Added debian/patches/01-autoload.patch.
  * debian/control:
    - Break and sort Build-Depends line.
    - Update Standards-Version to 3.8.1 and add Homepage field.
    - Add ${misc:Depends} to Depends.
  * debian/rules:
    - Remove encoding line (only ansi characters used).
    - Add gnome.mk class for Debian menu.
    - Remove not needed DEB_MAKE_INVOKE.
    - Do not install changelog twice (Closes: #448880).
  * Drop debian/easytag.1 and use man page provided by upstream.
  * Switch to debhelper 7.
  * Remove debian/docs and thus do not install useless USERS-GUIDE
    (Closes: #467240).
  * Remove unneeded debian/dirs.
  * Add debian/patches/02-autoreconf.patch to get rid of
    binary-or-shlib-defines-rpath lintian warning.
  * Add debian/patches/manpage-has-bad-whatis-entry.patch to fix lintian
    warning.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 13 May 2009 16:21:20 +0200

easytag (2.1.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Warn user when ogg vorbis tags will be lost, fix handling of multiple same
    ogg vorbis tags (Closes: #460247).
  * Fix lintian warnings:
    - Add watch file.
    - Install icon for menu file (Closes: #460247).
    - Fix section in menu file.
    - Drop version from NAME section of man page to `apropos' and `whatis'
      happy.
    - Include copyright information in debian/copyright.

 -- Michal Čihař <nijel@debian.org>  Mon, 08 Sep 2008 21:44:11 +0200

easytag (2.1.4-1) unstable; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@debian.org>  Tue, 11 Dec 2007 12:27:03 +0100

easytag (2.1.3-1) unstable; urgency=low

  * New upstream version
  * debian/easytag.xpm, debian/rules:
    - use the upstream icon version
  * easytag.desktop:
    - use the correct icon naming

 -- Sebastien Bacher <seb128@debian.org>  Sun, 25 Nov 2007 16:15:43 +0100

easytag (2.1.2-1) unstable; urgency=low

  * New upstream version:
    - Fixed a mistake in the configure script (Closes: #432257)
  * debian/control:
    - Build-Depends on libid3tag0-dev, libspeex-dev (Closes: #401523, #434428)
    - updated Standards-Version to 3.7.2

 -- Sebastien Bacher <seb128@debian.org>  Thu,  2 Aug 2007 12:55:18 +0200

easytag (2.1.1-1) unstable; urgency=low

  * New upstream version (Closes: #414201):
    - Added Speex support (Closes: #401523)
  * debian/control:
    - Build-Depends on libwavpack-dev
    - correct spelling mistake,
      change indicated by Simon Waters <simon@technocool.net> (Closes: #363374)

 -- Sebastien Bacher <seb128@debian.org>  Sat,  7 Jul 2007 14:37:46 +0200

easytag (2.1-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - required glib version specified to configure

 -- Sebastien Bacher <seb128@debian.org>  Thu, 31 May 2007 00:10:52 +0200

easytag (1.99.12-1) unstable; urgency=low

  * New upstream version:
    - New logo and icons,
    - Added ability to display all albums of an artist in the 'Artist / Album'
      view,
    - Added detection of the bugged version of id3lib when writting ID3 tag to
      Unicode to inform the user (a patch for id3lib is supplied in package
      source),
    - For Ogg files, the field DESCRIPTION is also used for the comment,
    - Fixed stack corruption bugs in Fill Tag scanner,
    - Fixed loading disk number for FLAC tag,
    - Fixed error that displays MP3 files in red when no tag is present,
    - Fixed a crash in the CDDB window when getting tracks of a album,
    - Fixed playlist name bug when creating it in the parent directory,
    - Fixed manual CDDB search when using Squid,
    - Little fix for FLAC tags,
    - Fixed various bugs,
    - Russian translation updated,
    - Greek translation updated,
    - Spanish translation updated,
    - Japanese translation updated,
    - Czech translation updated,
    - Brazilian Portuguese translation updated
    - Danish translation updated,
    - Italian translation updated,
    - Hungarian translation updated,
    - German translation updated.

 -- Sebastien Bacher <seb128@debian.org>  Sat, 15 Apr 2006 15:47:47 +0200

easytag (1.99.11-1) unstable; urgency=low

  * New upstream version:
    - Added ability to force saving tag of file even if no changes made (useful
      to convert quickly tags),
    - Added switch '--disable-mp3' to not compile the program with id3lib (will
      allow in future version to choose between id3lib or taglib),
    - Fixed problem of saving file order (bug introduced in version 1.99.10),
    - French translation updated,
    - Czech translation updated,
    - Hungarian translation updated,
    - Spanish translation updated,
    - German translation updated
    - fix implicit function (Closes: #341277)

 -- Sebastien Bacher <seb128@debian.org>  Sun, 18 Dec 2005 23:43:03 +0100

easytag (1.99.10-1) unstable; urgency=low

  * New upstream version:
    - Added port to Win32, to compile under MinGW (thanks to Michael Pujos),
    - The preferences window was clean up : saving configuration changed (the
      apply button was removed to not confuse user), position of main window,
      scanner window and cddb are automatically saved (settings were removed
      from the window),
    - Added a protection against MP3 corrupted files (files containing only
      zeroes) which cause a bug in id3lib and so freeze the program,
    - Added some documentation,
    - Changed some shortcuts in the menu by following the GNOME Human Interface
      Guidelines 2.0,
    - Added ability to load pictures contained in ID3v2 tag of a FLAC file,
    - Fixed a crash that may occurs with the browser at startup,
    - Fixed displaying of player in preferences window if it not exists, else
      were can't save the settings,
    - Fixed a crash that may occurs with message boxes ,
    - Fixed some memory leaks,
    - French translation updated,
    - Czech translation updated,
    - Danish translation updated,
    - Brazilian Portuguese translation updated,
    - German translation updated

 -- Sebastien Bacher <seb128@debian.org>  Tue, 29 Nov 2005 14:34:00 +0100

easytag (1.99.9-1) unstable; urgency=low

  * New upstream version:
    - Ability to read and write UTF-16 strings in ID3 tag
    - Added options to save tags only in ISO-8859-1, or only in Unicode, or to
      let the program to do the best choice (Closes: #281255)
    - Added options to select a non-standard encoding for ISO-8859-1 fields in
      the tag (very useful for example for Russian people), and can apply some
      rules when writing tag if some characters can't be converted to this
      non-standard encoding (activate the transliteration or silently discard
      some characters) (Closes: #246856)
    - Changed way to read and write filenames : use the encoding specified into
      environment variables of language (as LANG or LC_ALL), instead of the
      GTK2 environment variable G_FILENAME_ENCODING
    - Added options to apply some rules when writing filename if some
      characters can't be converted to the system encoding (activate the
      transliteration or silently discard some characters)
    - Added ability to rename the directory in the browser with masks,
    - Added an option to return focus to the 'Title' field when switching files
      with the previous/next button/shortcut
    - Added a menu item for the action "Show hidden directories" in the browser
    - For Ogg Vorbis files, the file vcedit.h was updated
      from vorbis-tools-1.1.1
    - Some fixes and improvements in the CDDB windows
    - Improvements when handling character set of the locale when reading and
      writing filenames
    - Improved compatibility for MP4/AAC files with MPEG4IP-1.2
    - Fixed a crash when reading FLAC files
    - Fixed : remove old directories when changing path of the file with the
      'Rename File' scanner
    - Fixed crash when numbering tracks sequentially after renaming files
    - Fixed problem when renaming file from one partition to an other one
      (mananage the error "Invalid cross-device link")
    - Fixed : don't replace illegal characters when writing playlist content
      from a pattern
    - Fixed writting of playlist to improve compatibility with some players
      (uses DOS characters for a new line)
    - Fixed conversion of the word 'I' with the
      'first letter uppercase' scanner: now it stays to upper case
    - Check if the program to launch to open files exists before to run it
    - A new bulgarian translation
    - French translation updated
    - Brazilian Portuguese translation updated
    - German translation updated

 -- Sebastien Bacher <seb128@debian.org>  Thu, 10 Nov 2005 17:17:14 +0100

easytag (1.99.8-1) unstable; urgency=low

  * New upstream version (Closes: #326802):
    - Fixed hangs in the cddb lookups (Closes: #292188).
    - Fixed problem when parsing markup in the 'Fill Tag' scanner preview.
    - Added MP4/AAC file and tag support (including pictures in tag) by using
      MPEG4IP (libmp4v2).
    - "Copyright" replaced by "License" in .spec file to allow to build the RPM
      package with rpm-4.4.0.
    - French translation updated.
    - Italian translation updated.
    - German translation updated.
  * debian/control:
    - updated the Build-Depends on flac package (Closes: #325949).

 -- Sebastien Bacher <seb128@debian.org>  Sun, 11 Sep 2005 15:03:36 +0200

easytag (1.99.7-2) unstable; urgency=low

  * Rebuild with the current libid3 (Closes: #321431, #323089).
  * debian/control:
    - updated the Standards-Version.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 17 Aug 2005 23:05:14 +0200

easytag (1.99.7-1) unstable; urgency=low

  * New upstream version.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 15 Jul 2005 22:46:51 +0200

easytag (1.99.6-2) unstable; urgency=low

  * debian/copyright, debian/easytag.1:
    - fix upstream email.
  * debian/patches/patch_1996_browser_entry_fix.diff:
    - upstream patch to fix an issue with the browser entry.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 29 Jun 2005 11:59:23 +0200

easytag (1.99.6-1) unstable; urgency=low

  * New upstream version:
    - fix tab order for the label editor (Closes: #292033).
    - fix the FTBFS on ppc64 (Closes: #299280).
    - updated german translation (Closes: #313692).

 -- Sebastien Bacher <seb128@debian.org>  Tue, 28 Jun 2005 17:43:07 +0200

easytag (1.99.5-1) unstable; urgency=low

  * New upstream version.

 -- Sebastien Bacher <seb128@debian.org>  Thu,  9 Jun 2005 15:09:01 +0200

easytag (1.99.4-1) unstable; urgency=low

  * New upstream version.

 -- Sebastien Bacher <seb128@debian.org>  Mon,  2 May 2005 16:58:03 +0200

easytag (1.99.3-1) unstable; urgency=low

  * Upload of the GTK2 version to unstable.
  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Fri, 21 Jan 2005 19:29:31 +0100

easytag (1.99.2-2) experimental; urgency=low

  * easytag.desktop:
    - don't list x-directory/normal.
  * debian/control.in:
    - updated the Build-Depends on libflac-dev to 1.1.1-3.

 -- Sebastien Bacher <seb128@debian.org>  Sat,  8 Jan 2005 14:33:06 +0100

easytag (1.99.2-1) experimental; urgency=low

  * New upstream release (Closes: #288033).

 -- Sebastien Bacher <seb128@debian.org>  Sat,  1 Jan 2005 22:32:01 +0100

easytag (1.99.1-1) experimental; urgency=low

  * New upstream release:
    - added new fields for ID3v2 tag, Ogg Vorbis tag, FLAC tag and APE tag :
      Composer, Original Artist/Performer, Copyright, URL and Encoder name.
    - added an option to select or not the corresponding file when selecting a
      track name in the Cddb results.
    - added ability to search files in hidden directories.
    - added an option to not convert some words when using the scanner 'First
      letter uppercase of each word'.

 -- Sebastien Bacher <seb128@debian.org>  Sun,  7 Nov 2004 22:14:54 +0100

easytag (0.31gtk2pre2-2) experimental; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Fri,  8 Oct 2004 11:21:15 +0200

easytag (0.31gtk2pre2-1) experimental; urgency=low

  * New upstream pre-release.
  * debian/control:
    - updated the description with the upstream one. The flac format is
      mentioned now (Closes: #255052).

 -- Sebastien Bacher <seb128@debian.org>  Sat, 18 Sep 2004 15:39:05 +0200

easytag (0.31gtk2pre1-1) experimental; urgency=low

  * New pre-release.

 -- Sebastien Bacher <seb128@debian.org>  Mon, 19 Jul 2004 23:39:35 +0200

easytag (0.31gtk2pre0-1) experimental; urgency=low

  * First pre-release of the GTK+2 version.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 14 Jul 2004 15:44:41 +0200

easytag (0.31-1) unstable; urgency=low

  * New upstream release
    + allow to display the files by artists and by albums (Closes: #208090).
  * debian/patches/*:
    + removed patchs included in the new version.
  * debian/menu:
    + added an icon (Closes: #252859).

 -- Sebastien Bacher <seb128@debian.org>  Sun,  6 Jun 2004 23:30:01 +0200

easytag (0.30-5) unstable; urgency=low

  * Updated es.po (Closes: #236800).

 -- Sebastien Bacher <seb128@debian.org>  Tue, 11 May 2004 21:13:49 +0200

easytag (0.30-4) unstable; urgency=low

  * Updated Build-Depends on debhelper to 4.1.46 (Closes: #219480).
  * debian/patches/patch_easytag_030c_030d.diff:
    + new patch to fix the cddb server selection (Closes: #230672).

 -- Sebastien Bacher <seb128@debian.org>  Sat,  7 Feb 2004 11:55:58 +0100

easytag (0.30-3) unstable; urgency=low

  * Added patches to fix the repeat action (Closes: #217661).

 -- Sebastien Bacher <seb128@debian.org>  Thu, 30 Oct 2003 17:05:22 +0100

easytag (0.30-2) unstable; urgency=low

  * Added the upstream patch to fix the renaming bug (Closes: #210420).

 -- Sebastien Bacher <seb128@debian.org>  Sun, 28 Sep 2003 11:35:44 +0200

easytag (0.30-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 11 Sep 2003 00:53:00 +0200

easytag (0.29-1) unstable; urgency=low

  * New maintainer (Closes: #202543).
  * New upstream release.
  * Switched to cdbs.
  * Updated Build-Depends.
  * Updated Standards-Version to 3.6.1.0.

 -- Sebastien Bacher <seb128@debian.org>  Wed,  3 Sep 2003 02:57:29 +0200

easytag (0.28.1-2) unstable; urgency=low

  * orphaned; maintainer set to packages@qa.debian.org

 -- tony mancill <tmancill@debian.org>  Tue, 22 Jul 2003 21:14:14 -0700

easytag (0.28.1-1) unstable; urgency=low

  * new upstream release

 -- tony mancill <tmancill@debian.org>  Sun, 13 Jul 2003 11:31:37 -0700

easytag (0.28-4) unstable; urgency=low

  * added signal handler to ignore SIGCHLD; prevents zombies when
    spawning audio player (closes: #177185)

 -- tony mancill <tmancill@debian.org>  Mon, 30 Jun 2003 21:40:30 -0700

easytag (0.28-3) unstable; urgency=low

  * crc32 renamed; workaround for GTK themes problem (closes: #195884)

 -- tony mancill <tmancill@debian.org>  Sat, 28 Jun 2003 10:29:13 -0700

easytag (0.28-2) unstable; urgency=low

  * using CDDB results will no longer blank out filenames
    applied upstream patch 0.28a (closes: #197971)

 -- tony mancill <tmancill@debian.org>  Mon, 23 Jun 2003 21:20:42 -0700

easytag (0.28-1) unstable; urgency=low

  * new upstream release
  * updated description regarding ID3v2 support (closes: #185259)

 -- tony mancill <tmancill@debian.org>  Sun,  1 Jun 2003 16:12:25 -0700

easytag (0.27a-3) unstable; urgency=low

  * scanner window now provides WM_CLASS (closes: #185980)
    (thanks to Nikolai Prokoschenko for the patch)
  * now build depends upon libid3-3.8.3-dev
  * added string.h include to configure.in and flac_header.c (for ia64)

 -- tony mancill <tmancill@debian.org>  Mon, 28 Apr 2003 21:55:28 -0700

easytag (0.27a-2) unstable; urgency=low

  * rebuilt against libvorbis0a (closes: #185060)

 -- tony mancill (Debian) <tmancill@debian.org>  Sun, 16 Mar 2003 13:33:54 -0800

easytag (0.27a-1) unstable; urgency=low

  * new upstream version
  * new maintainer

 -- tony mancill <tmancill@debian.org>  Tue, 11 Feb 2003 21:13:10 -0800

easytag (0.25b-1) unstable; urgency=low

  * New upstream version (Closes: bug#171195)
  * Add Ogg to description (Closes: bug#171455)

 -- Baruch Even <baruch@debian.org>  Fri, 13 Dec 2002 15:00:41 +0200

easytag (0.24b-1) unstable; urgency=low

  * New upstream version (Closes: bug#160751)
    + Compile against new libflac4 (Closes: bug#164187)
    + Fix code to compile with libflac4 (Closes: bug#164087)

 -- Baruch Even <baruch@debian.org>  Sat, 12 Oct 2002 03:07:45 +0200

easytag (0.23-1) unstable; urgency=low

  * New upstream version (Closes: bug#158176)
  * Use libid3 from debian package it's version 3.8.0 now (Closes: bug#158178)

 -- Baruch Even <baruch@debian.org>  Sat, 31 Aug 2002 22:22:55 +0300

easytag (0.21-1.1) unstable; urgency=low

  * NMU to fix breakage caused by libvorbis0 split.

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 29 Jul 2002 23:00:00 -0500

easytag (0.21-1) unstable; urgency=low

  * New upstream version

 -- Baruch Even <baruch@debian.org>  Sat,  8 Jun 2002 22:40:41 +0300

easytag (0.18-3) unstable; urgency=low

  * Add a missing Build-Dep: zlib1g-dev

 -- Baruch Even <baruch@debian.org>  Fri, 12 Apr 2002 22:29:07 +0300

easytag (0.18-2) unstable; urgency=low

  * Really try to compile for alpha

 -- Baruch Even <baruch@debian.org>  Thu, 11 Apr 2002 01:19:01 +0300

easytag (0.18-1) unstable; urgency=low

  * New upstream release
  * Try to get the libid3 to compile with gcc 3.0

 -- Baruch Even <baruch@debian.org>  Sun,  7 Apr 2002 02:07:02 +0300

easytag (0.17-1) unstable; urgency=low

  * New upstream release.
  * Upped Standards-Version, no action required.
  * Included a static version of libid3 3.8.0pre2 due to stability problems
    with the current version. (Closes: bug#136819)

 -- Baruch Even <baruch@debian.org>  Tue, 12 Mar 2002 02:30:05 +0200

easytag (0.16-1) unstable; urgency=low

  * New upstream release (Closes: bug#134570)

 -- Baruch Even <baruch@debian.org>  Tue, 19 Feb 2002 23:57:11 +0200

easytag (0.15-2) unstable; urgency=low

  * Added libid3-dev to Build-Deps
  * Added a manpage (Closes: bug#87080)

 -- Baruch Even <baruch@debian.org>  Sat,  2 Feb 2002 04:16:05 +0200

easytag (0.15-1) unstable; urgency=low

  * New maintainer (Closes: bug#130821)
  * New upstream release (Closes: bug#98387)

 -- Baruch Even <baruch@debian.org>  Thu, 31 Jan 2002 01:58:55 +0200

easytag (0.13-2) unstable; urgency=low

  * Orphaned this package.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 25 Jan 2002 12:47:39 +0100

easytag (0.13-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Thu,  4 Jan 2001 17:52:42 +0100

easytag (0.12-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Wed, 22 Nov 2000 19:09:39 +0100

easytag (0.11-1) unstable; urgency=low

  * New upstream release.
  * Added THANKS and USERS-GUIDE.
  * Upload sponsored by Tony Mancill <tmancill@debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 27 Oct 2000 00:38:24 +0200

easytag (0.10.2-1) unstable; urgency=low

  * New upstream release.
  * Upload sponsored by Tony Mancill <tmancill@debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun, 22 Oct 2000 21:33:44 +0200

easytag (0.10.1-1) unstable; urgency=low

  * Initial Release. (closes: #74068)
  * Upload sponsored by Oliver M. Bolzer <oliver@debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun,  8 Oct 2000 20:40:42 +0200
